<?php

namespace App\Models;

class PropertyAddon extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_addon';
    protected $appends = ['attributeArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];
    protected $hidden = [];

    function getAttributeArrayAttribute()
    {
        $attribute = [];
        if (!empty($this->attribute)) {
            $attribute = json_decode($this->attribute, 1);
        }
        return $attribute;
    }

    public function fact()
    {
        return $this->hasOne("App\Models\PropertyFact", 'id', 'fact_id')->select('id', 'parent_id', 'name', 'icon', 'language_key');
    }

}
